/********** Template CSS **********/
:root {
  --primary: #32c36c;
  --light: #0f569c5e;
  --dark: #1a2a3679;
}

.fw-medium {
  font-weight: 500 !important;
}

.fw-bold {
  font-weight: 700 !important;
}

.fw-black {
  font-weight: 900 !important;
}

.back-to-top {
  position: fixed;
  display: none;
  right: 10px;
  bottom: 20px;
  z-index: 99;
}

body {
  overflow-x: hidden;
}

.team-item {
  width: 200%;
  height: 500px; /* तुम्हाला हवी तितकी height */
  overflow: hidden;
  border-radius: 10px;
}

/*  ours */
.section-title {
  max-width: 650px;
}

.title-sub {
  color: #32c36c;
  font-weight: 700;
  letter-spacing: 2px;
  text-transform: uppercase;
  margin-bottom: 10px;
  position: relative;
  display: inline-block;
}

.title-sub::after {
  content: "";
  width: 60px;
  height: 3px;
  background: #f7d22b00;
  display: block;
  margin: 8px auto 0;
  border-radius: 5px;
}

.title-main {
  font-size: 28px;
  font-weight: 700;
  color: #0b2c5c;
  margin-bottom: 10px;
}

.title-desc {
  color: #666;
  font-size: 15px;
  line-height: 1.6;
}
/* projects */

.project-box {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: #f5f5f5;
  padding: 20px;
  border-radius: 10px;
  gap: 20px;
  margin-bottom: 30px; /* 🔥 हा gap देईल */
}

.project-content {
  flex: 1;
}

.project-image {
  flex: 1;
  text-align: right;
}

.project-image img {
  width: 100%;
  max-width: 250px;
  height: auto;
  border-radius: 10px;
}

/*** Spinner ***/
#spinner {
  opacity: 0;
  visibility: hidden;
  transition:
    opacity 0.5s ease-out,
    visibility 0s linear 0.5s;
  z-index: 99999;
}

#spinner.show {
  transition:
    opacity 0.5s ease-out,
    visibility 0s linear 0s;
  visibility: visible;
  opacity: 1;
}

/*** inst logo ***/
.social-link {
  display: flex;
  align-items: center;
  gap: 10px;
  margin: 8px 0;
  text-decoration: none;
  color: white;
}

/* ICON STYLE */
.social-link i {
  width: 35px;
  height: 35px;
  line-height: 35px;
  text-align: center;
  border-radius: 50%;
  color: #fff;
  font-size: 16px;
}

/* Colors */
.instagram i {
  background: #e1306c;
}
.facebook i {
  background: #3b5998;
}
.youtube i {
  background: #ff0000;
}
.linkedin i {
  background: #0077b5;
}

/* Hover */
.social-link:hover {
  transform: translateX(5px);
  opacity: 0.9;
}
/*** Button ***/
.btn {
  font-weight: 500;
  transition: 0.5s;
}

.btn.btn-primary,
.btn.btn-outline-primary:hover {
  color: #ffffff;
}

.btn-square {
  width: 38px;
  height: 38px;
}

.btn-sm-square {
  width: 32px;
  height: 32px;
}

.btn-lg-square {
  width: 48px;
  height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: normal;
}

/*** Navbar ***/
/* .navbar.sticky-top {
  top: -100px;
  transition: 0.5s;
}

.navbar .navbar-brand,
.navbar a.btn {
  height: 75px;
}

.navbar .navbar-nav .nav-link {
  margin-right: 30px;
  padding: 25px 0;
  color: var(--dark);
  font-size: 15px;
  font-weight: 500;
  text-transform: uppercase;
  outline: none;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
  color: var(--primary);
}

.navbar .dropdown-toggle::after {
  border: none;
  content: "\f107";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  vertical-align: middle;
  margin-left: 8px;
}

@media (max-width: 991.98px) {
  .navbar .navbar-nav .nav-link {
    margin-right: 0;
    padding: 10px 0;
  }

  .navbar .navbar-nav {
    border-top: 1px solid #eeeeee;
  }
}

@media (min-width: 992px) {
  .navbar .nav-item .dropdown-menu {
    display: block;
    border: none;
    margin-top: 0;
    top: 90%;
    opacity: 0;
    visibility: hidden;
    transition: 0.5s;
  }

  .navbar .nav-item:hover .dropdown-menu {
    top: 90%;
    visibility: visible;
    transition: 0.5s;
    opacity: 1;
  }
} */
/* topbar */

.topbar {
  height: 40px;
}
/*** Header ***/
.owl-carousel-inner {
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  background: rgba(0, 0, 0, 0.1);
}

/* Hide topbar on mobile */

@media (max-width: 768px) {
  .topbar {
    display: none !important;
  }
}

/* @media (max-width: 768px) {
    .header-carousel .owl-carousel-item {
        position: relative;
        min-height: 500px;
    }

     .header-carousel .owl-carousel-item img {
        position: absolute;
        width: 100%;
        height: 100%;
        object-fit: cover;
    } 

    .header-carousel .owl-carousel-item p {
        font-size: 16px !important;
    }
} */

.header-carousel .owl-dots {
  position: absolute;
  width: 60px;
  height: 100%;
  top: 0;
  right: 30px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.header-carousel .owl-dots .owl-dot {
  position: relative;
  width: 45px;
  height: 45px;
  margin: 5px 0;
  background: #ffffff;
  box-shadow: 0 0 30px rgba(255, 255, 255, 0.9);
  border-radius: 45px;
  transition: 0.5s;
}

.header-carousel .owl-dots .owl-dot.active {
  width: 60px;
  height: 60px;
}

.header-carousel .owl-dots .owl-dot img {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  padding: 2px;
  border-radius: 45px;
  transition: 0.5s;
}

/* Tablet */
@media (max-width: 991px) {
  .page-header {
    min-height: 380px;
    background-size: cover;
    background-position: center top;
    padding-top: 60px;
  }

  .page-header .display-3 {
    font-size: 55px;
  }
}

/* Mobile */
@media (max-width: 576px) {
  .page-header {
    min-height: 200px;
    padding-top: 15px;
    padding-bottom: 15px;
    background-size: cover;
    background-position: right top;
    margin-bottom: 0;
  }

  .page-header h1 {
    font-size: 24px !important;
    font-weight: 700;
    text-align: left;
    margin: left 18px;
  }
}

/** About **/
@media (min-width: 992px) {
  .container.about {
    max-width: 100% !important;
  }

  .about-text {
    padding-right: calc(((100% - 960px) / 2) + 0.75rem);
  }
}

@media (min-width: 1000px) {
  .about-text {
    padding-right: calc(((100% - 1140px) / 2) + 0.75rem);
  }
}

@media (min-width: 1400px) {
  .about-text {
    padding-right: calc(((100% - 1320px) / 2) + 0.75rem);
  }
}

/*** Service ***/
.service-item {
  box-shadow: 0 0 45px rgba(0, 0, 0, 0.08);
}

.service-icon {
  position: relative;
  margin: -50px 0 25px 0;
  width: 100px;
  height: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--primary);
  background: #ffffff;
  border-radius: 100px;
  box-shadow: 0 0 45px rgba(0, 0, 0, 0.08);
  transition: 0.5s;
}

.service-item:hover .service-icon {
  color: #ffffff;
  background: var(--primary);
}

/*** Feature ***/
@media (min-width: 992px) {
  .container.feature {
    max-width: 100% !important;
  }

  .feature-text {
    padding-left: calc(((100% - 960px) / 2) + 0.75rem);
  }
}

@media (min-width: 1200px) {
  .feature-text {
    padding-left: calc(((100% - 1140px) / 2) + 0.75rem);
  }
}

@media (min-width: 1400px) {
  .feature-text {
    padding-left: calc(((100% - 1320px) / 2) + 0.75rem);
  }
}

/*** Project Portfolio ***/

/* 
#portfolio-flters li:hover,
#portfolio-flters li.active {
    color: var(--primary);
    border-color: var(--primary);
}

 .portfolio-img {
    position: relative;
} 

.portfolio-img::before,
.portfolio-img::after {
    position: absolute;
    content: "";
    width: 0;
    height: 100%;
    top: 0;
    background: var(--dark);
    transition: .5s;
}

.portfolio-img::before {
    left: 50%;
}

.portfolio-img::after {
    right: 50%;
}

.portfolio-item:hover .portfolio-img::before {
    width: 51%;
    left: 0;
}

.portfolio-item:hover .portfolio-img::after {
    width: 51%;
    right: 0;
}

.portfolio-btn {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    z-index: 1;
    transition: .5s;
}

.portfolio-item:hover .portfolio-btn {
    opacity: 1;
    transition-delay: .3s;
} */

/*** Quote ***/
@media (min-width: 992px) {
  .container.quote {
    max-width: 100% !important;
  }

  .quote-text {
    padding-right: calc(((100% - 960px) / 2) + 0.75rem);
  }
}

@media (min-width: 1200px) {
  .quote-text {
    padding-right: calc(((100% - 1140px) / 2) + 0.75rem);
  }
}

@media (min-width: 1400px) {
  .quote-text {
    padding-right: calc(((100% - 1320px) / 2) + 0.75rem);
  }
}

/*** Team ***/
.team-item {
  box-shadow: 0 0 45px rgba(0, 0, 0, 0.08);
}

.team-item img {
  border-radius: 8px 60px 0 0;
}

.team-item .team-social {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
  background: #ffffff;
  transition: 0.5s;
}

/*** Testimonial ***/
.testimonial-carousel::before {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  height: 100%;
  width: 0;
  background: linear-gradient(
    to right,
    rgba(255, 255, 255, 1) 0%,
    rgba(255, 255, 255, 0) 100%
  );
  z-index: 1;
}

.testimonial-carousel::after {
  position: absolute;
  content: "";
  top: 0;
  right: 0;
  height: 100%;
  width: 0;
  background: linear-gradient(
    to left,
    rgba(255, 255, 255, 1) 0%,
    rgba(255, 255, 255, 0) 100%
  );
  z-index: 1;
}

@media (min-width: 768px) {
  .testimonial-carousel::before,
  .testimonial-carousel::after {
    width: 200px;
  }
}

@media (min-width: 992px) {
  .testimonial-carousel::before,
  .testimonial-carousel::after {
    width: 300px;
  }
}

.testimonial-carousel .owl-nav {
  position: absolute;
  width: 350px;
  top: 20px;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  justify-content: space-between;
  opacity: 0;
  transition: 0.5s;
  z-index: 1;
}

.testimonial-carousel:hover .owl-nav {
  width: 300px;
  opacity: 1;
}

.testimonial-carousel .owl-nav .owl-prev,
.testimonial-carousel .owl-nav .owl-next {
  position: relative;
  color: var(--primary);
  font-size: 45px;
  transition: 0.5s;
}

.testimonial-carousel .owl-nav .owl-prev:hover,
.testimonial-carousel .owl-nav .owl-next:hover {
  color: var(--dark);
}

.testimonial-carousel .testimonial-img img {
  width: 100px;
  height: 100px;
}

.testimonial-carousel .testimonial-img .btn-square {
  position: absolute;
  bottom: -19px;
  left: 50%;
  transform: translateX(-50%);
}

.testimonial-carousel .owl-item .testimonial-text {
  margin-bottom: 30px;
  box-shadow: 0 0 45px rgba(0, 0, 0, 0.08);
  transform: scale(0.8);
  transition: 0.5s;
}

.testimonial-carousel .owl-item.center .testimonial-text {
  transform: scale(1);
}

/*** Contact ***/
@media (min-width: 992px) {
  .container.contact {
    max-width: 100% !important;
  }

  .contact-text {
    padding-left: calc(((100% - 960px) / 2) + 0.75rem);
  }
}

@media (min-width: 1200px) {
  .contact-text {
    padding-left: calc(((100% - 1140px) / 2) + 0.75rem);
  }
}

@media (min-width: 1400px) {
  .contact-text {
    padding-left: calc(((100% - 1320px) / 2) + 0.75rem);
  }
}

/*** Footer ***/
.footer .btn.btn-social {
  /* height: 120px!important; */
  margin-right: 5px;
  color: #e7dfdf;
  border: 1px solid #e7dfdf;
  border-radius: 38px;
  transition: 0.3s;
}
.gallery-img {
  width: 100%;
  height: 110px;
  object-fit: cover;
  border-radius: 8px;
}
.gallery-img:hover {
  transform: scale(1.05);
  transition: 0.3s;
}

.footer .btn.btn-social:hover {
  color: var(--primary);
  border-color: var(--light);
}

.footer .btn.btn-link {
  display: block;
  margin-bottom: 5px;
  padding: 0;
  text-align: left;
  color: #e7dfdf;
  font-weight: normal;
  text-transform: capitalize;
  transition: 0.3s;
}

.footer .btn.btn-link::before {
  position: relative;
  content: "\f105";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  margin-right: 10px;
}

.footer .btn.btn-link:hover {
  color: var(--primary);
  letter-spacing: 1px;
  box-shadow: none;
}

.footer .copyright {
  padding: 10px 0;
  border-top: 1px solid rgba(256, 256, 256, 0.1);
}

.footer .copyright a {
  color: var(--primary);
}

.footer .copyright a:hover {
  color: white;
}
.cstm-footer-links a {
  color: white;
}
.cstm-footer-links a:hover {
  color: var(--primary);
}

/* ------------------------------------------------- navbar code -----------------------------------------------------------*/
.fixed-navbar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 9999;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.15);
  background: #fff;
}

.topbar {
  position: relative;
  z-index: 1030;
}

.navbar {
  z-index: 1020;
}

.navbar-logo {
  max-height: 70px;
  width: auto;
  object-fit: contain;
}

@media (max-width: 991px) {
  .navbar-logo {
    max-height: 55px;
  }

  .navbar-brand {
    max-width: 70%;
    overflow: hidden;
  }

  .navbar-nav .nav-link {
    padding: 10px 0;
  }
}

@media (max-width: 576px) {
  .navbar-logo {
    max-height: 45px;
  }
}

.topbar {
  min-height: 45px;
  display: flex;
  align-items: center;
}

.topbar .row {
  width: 100%;
  align-items: center;
}

.topbar .h-100 {
  min-height: 45px;
  display: flex !important;
  align-items: center !important;
}

.navbar .btn {
  height: 75px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 30px;
  font-weight: 600;
  line-height: 1;
  border-radius: 0;
}

.navbar {
  z-index: 1020;
  padding: 0 !important;
}

.navbar .navbar-brand {
  display: flex;
  align-items: center;
  height: 75px;
}

.navbar-logo {
  max-height: 65px;
  width: auto;
  object-fit: contain;
}

.navbar .navbar-nav .nav-link {
  display: flex;
  align-items: center;
  height: 75px;
  padding: 0 15px;
  margin-right: 10px;
  color: #000 !important;
  font-weight: 500;
}
.navbar .navbar-nav .nav-link:hover {
  color: var(--primary) !important;
}
/* Active Link Color */
.navbar .navbar-nav .nav-link.active {
  color: var(--primary) !important;
}
@media (max-width: 991px) {
  .navbar .navbar-nav .nav-link {
    height: auto;
    padding: 12px 0;
  }

  .navbar .btn {
    height: 50px !important;
    margin: 15px;
  }

  .navbar-logo {
    max-height: 50px;
  }

  .topbar {
    display: none !important;
  }
}

@media (max-width: 576px) {
  .navbar-logo {
    max-height: 42px;
  }
}
/* ------------------------------------------------------ navbar code endds ----------------------------------------------------*/
.cstm-breadcrum-heading {
  font-size: 22px !important;
}

/* ------------------------------------------------------ Breadcrum start -------------------------------------------------------*/

.page-header {
  min-height: 500px;
  background:
    linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.03)), url("img/ac.png");

  background-repeat: no-repeat;
  background-position: center top;
  background-size: cover;
}

/* LAPTOP */

@media (min-width: 1200px) {
  .page-header {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: left;
  }

  .page-header h1 {
    font-size: 70px !important;
    font-weight: 800;
    color: #fff;
    color: #000 !important;
  }
}

/* TABLET */

@media (max-width: 991px) {
  .page-header {
    min-height: 380px;
    padding-top: 60px;
    background-size: cover;
    background-position: center top;
  }

  .page-header h1 {
    font-size: 45px;
    color: #fff;
    color: #000 !important;
  }
}

/* MOBILE */

@media (max-width: 576px) {
  .page-header {
    min-height: 200px;
    padding: 15px;
    background-position: right top;
  }

  .page-header h1 {
    font-size: 18px;
    font-weight: 700;
    color: #fff;
  }

}

/* BREADCRUMB */

.breadcrumb-item a {
  color: #000 !important;
}
.breadcrumb-item a:hover {
  color: var(--primary) !important;
}
/* CUSTOM HEADING */

.cstm-breadcrum-heading {
  font-weight: 700;
  color: #000000a1 !important;
}

/* ------------------------------------------------------ Breadcrum end -------------------------------------------------------*/
.error-message {
    color: red;
    font-size: 13px;
    margin-top: 5px;
    display: block;
}

.is-invalid {
    border: 1px solid red !important;
}

.is-valid {
    border: 1px solid green !important;
}
.quote-img-wrapper {
  max-width: 500px;   /* image width */
  margin: auto;       /* center */
}

.quote-img {
  width: 100%;
  height: auto;
  border-radius: 10px;
}
